Channel Registration

Purpose

To support customer onboardings, the webhook events below will communicate a stores status which instructs the channel to update the corresponding status on their side.

The Register Webhook URL needs to be standardised, i.e.the same URL should be used for every customer installation.

Request

ParameterMeaningType
statusregister A new store/location needs to establish a connection between Deliverect and a channel platform

active A new store/location is ready to start receiving orders into Deliverect from the channel platform

inactive A customer wants to stop receiving orders to this store/location from the channel platform
string
channelLocationIdAn identifier which can be set in Deliverect, which is know to the Merchant and allows mapping to the corresponding Deliverect channel linkstring
channelLinkIdThechannelLinkId is the unique store identifier in Deliverect for a specific channel in a locationstring
locationIdLocationId is the unique identifier of the location in Deliverect.string
channelLinkNameThe channel name displayed in Deliverect.string

Examples

{
    "status": "register",
    "channelLocationId": "{{externalChannelLocationId}}",
    "channelLinkId": "{{channelLinkId}}",
    "locationId": "{{locationId}}",
    "channelLinkName": "Order Boss"
}
{
    "status": "active",
    "channelLocationId": "{{externalChannelLocationId}}",
    "channelLinkId": "{{channelLinkId}}",
    "locationId": "{{locationId}}",
    "channelLinkName": "Order Boss"
}
{
    "status": "inactive",
    "channelLocationId": "{{externalChannelLocationId}}",
    "channelLinkId": "{{channelLinkId}}",
    "locationId": "{{locationId}}",
    "channelLinkName": "Order Boss"
}

Response Body

With the "status": "register" we always expect a JSON result which contains all the supported endpoints detailed in the table below;

AttributePurposeTypeRequired
statusUpdateURLReceive Order Status Update eventsstringYES
menuUpdateURLReceive Menu Update requestsstringYES
snoozeUnsnoozeURLReceive both Snooze / Unsnooze Products requestsstringYES
busyModeURLReceive Busy mode requests (paused/online)stringYES
updatePrepTimeURLReceive Preparation Time Update requestsstringNO
courierUpdateURLReceive Courier Update eventsstringNO
paymentUpdateURLReceived Payment Update eventsstringNO
authorizationURLReceive SSO Authorization requestsstringNO
menuUrlMerchant Store URL / site URLstringNO

Response Example

{
  "statusUpdateURL": "https://integrator.com/statusUpdate",
  "menuUpdateURL": "https://integrator.com/menuUpdate",
  "snoozeUnsnoozeURL": "https://integrator.com/snoozeUnsnooze",
  "busyModeURL": "https://integrator.com/busyMode",
  "updatePrepTimeURL": "https://integrator.com/updatePrepTimeURL",
  "paymentUpdateURL": "https://yourwebhook.com/payment_update",
  "courierUpdateURL": "https://yourwebhook.com/courier_update",
  "authorizationURL": "https://yourwebhook.com/authorization",
  "menuUrl": "https://integrator.com/store"
}

Please note, the expected response is case-sensitive ensure the response matches the required format exactly.

Body Params
string
enum
required
Allowed:
string
required
string
required
string
required
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json